This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 653573 - unable to get java-1.6.0-openjdk-plugin to have java support in firefox
unable to get java-1.6.0-openjdk-plugin to have java support in firefox
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: icedtea-web (Show other bugs)
6.0
i386 Linux
medium Severity medium
: beta
: 6.1
Assigned To: Deepak Bhole
BaseOS QE - Apps
:
Depends On:
Blocks: 561978 580566
  Show dependency treegraph
 
Reported: 2010-11-15 12:38 EST by Daniel Villeneuve
Modified: 2011-05-19 09:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: icedtea-web-1.0-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:57:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Villeneuve 2010-11-15 12:38:02 EST
Description of problem:
In firefox, there is no java plugin available.
When issuing "yum install java-1.6.0-openjdk-plugin.i686",  I get

Setting up Install Process
Package 1:java-1.6.0-openjdk-plugin-1.6.0.0-1.21.b17.el6.i686 is obsoleted by 1:java-1.6.0-openjdk-1.6.0.0-1.31.b17.el6_0.i686 which is already installed
Nothing to do

I guess the plugin's version 1.21 (< 1.31) prevents it to be installed.

Version-Release number of selected component (if applicable): RHEL6


How reproducible: as above

  
Actual results: no java plugin installed


Expected results: java plugin installed in firefox


Additional info:
Comment 2 Radek Bíba 2010-11-22 10:18:12 EST
The plugin subpackage was obsoleted intentionally in the 0day erratum. Hopefully we'll be able to start shipping it in 6.1.

(it shouldn't have been included in 6.0 in the first place, despite how cool it was)
Comment 3 Martin Wilck 2010-12-01 11:29:55 EST
(In reply to comment #2)
> The plugin subpackage was obsoleted intentionally in the 0day erratum.

Don't you think that such a change should at least be mentioned in the errata description? What's wrong with the plugin? Having no Java plugin for firefox is a massive usability restriction for RHEL6.
Comment 4 Deepak Bhole 2010-12-01 12:19:56 EST
Hi Martin. 

Given the issues we found over our test cycle, in order to provide a plugin that meets the expected goals of security and performance we decided to defer the release of the java plugin to RHEL 6.1
Comment 5 Martin Wilck 2010-12-02 04:43:56 EST
Is there already a partner Feature request to have the plugin back in 6.1? Fujitsu would like to add it to its Feature tracker.
Comment 7 Larry Troan 2011-01-18 19:30:52 EST
Aded Fujitsu to this as a feature request. Already has all ACKs required for 6.1.

Deepak, can you put this into ASSIGNED state please.
Comment 9 Martin Wilck 2011-01-19 07:31:04 EST
In the meantime, Anders Karlsson has pointed us to the IBM Java kit in RHEL6, which contains a fully functional browser plugin. Thus while having the OpenJDK plugin would still be desirable (as openJDK appears to be the 1st choice of JREs in RHEL6), the urgency of this request is just medium.
Comment 10 Deepak Bhole 2011-02-04 09:38:01 EST
Fixed in icedtea-web-1.0-4.el6
Comment 13 errata-xmlrpc 2011-05-19 09:57:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0658.html

Note You need to log in before you can comment on or make changes to this bug.